## FeedHandler FeedHandler |

## Functions

void | feed_handler_set_ns_handler ()
gboolean | feed_handler_check_format ()
GList * | feed_handler_parse ()

## Types and Values

#define | FEED_HANDLER_TYPE
struct | FeedHandlerInterface

## Object Hierarchy

        GInterface
        ╰── FeedHandler

## Description

## Functions

### feed_handler_set_ns_handler ()

    void
    feed_handler_set_ns_handler (FeedHandler *self,
                                 NSHandler *handler);

### feed_handler_check_format ()

    gboolean
    feed_handler_check_format (FeedHandler *self,
                               xmlDocPtr doc,
                               xmlNodePtr cur);

### feed_handler_parse ()

    GList *
    feed_handler_parse (FeedHandler *self,
                        GrssFeedChannel *feed,
                        xmlDocPtr doc,
                        gboolean do_items,
                        GError **error);

## Types and Values

### FEED_HANDLER_TYPE

    #define FEED_HANDLER_TYPE			(feed_handler_get_type ())

### struct FeedHandlerInterface

    struct FeedHandlerInterface {
    	GTypeInterface parent_iface;

    	void (*set_ns_handler) (FeedHandler *self, NSHandler *handler);
    	gboolean (*check_format) (FeedHandler *self, xmlDocPtr doc, xmlNodePtr cur);
    	GList* (*parse) (FeedHandler *self, GrssFeedChannel *feed, xmlDocPtr doc, gboolean do_items, GError **error);
    };